Transfer some credit

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to transfer money to a sub-account.

Special parameters

NameTypeDescription
tokenstringThe token for transfer.
from_wallet_pack_idstringThe Wallet Pack ID you want to transfer.
amountstringThe amount that you want to transfer to another sub-account.

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

{
  "transactions": [
    {
      "fromWalletPack": {
        "id": "string",
        "residual_credit": "10"
      },
      "toWalletPack": {
        "id": "string",
        "residual_credit": "10"
      }
    }
  ]
}
Body Params

Needed payload for transfer money to subaccount.

string
required
length ≤ 255
string
length ≤ 36
integer
required
15 to 5000
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized

403

Access denied.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json